Bug 1247122 - implement --randomwait option
implement --randomwait option
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
rawhide
Unspecified Linux
low Severity unspecified
: ---
: ---
Assigned To: rpm-software-management
Fedora Extras Quality Assurance
: Documentation, EasyFix, Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-27 07:44 EDT by 730097b5
Modified: 2017-06-25 11:15 EDT (History)
10 users (show)

See Also:
Fixed In Version: dnf-2.3.0-1.fc26
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-04-12 10:53:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description 730097b5 2015-07-27 07:44:53 EDT
Description of problem:
The option -R / --randomwait does not exist for dnf but it is listed under "man dnf"

Version-Release number of selected component (if applicable):
uname -a
Linux f.local 3.19.8-100.fc20.x86_64 #1 SMP Tue May 12 17:08:50 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

dnf --version 
0.5.4
  Installed: dnf-0:0.5.4-2.fc20.noarch at 2014-08-06 11:11
  Built    : Fedora Project at 2014-07-29 05:52

  Installed: rpm-0:4.11.3-3.fc20.x86_64 at 2015-04-29 08:23
  Built    : Fedora Project at 2015-04-17 08:28


How reproducible:
sudo dnf upgrade --randomwait=1

Actual results:
No match for argument: --randomwait=1

Expected results:
wait 0-1 minutes then run upgrade command
Comment 1 Honza Silhan 2015-08-11 07:36:31 EDT
Currently dnf-automatic supports `random_sleep` config option. If you use want it just for updates it could be sufficient for you. Do you have any other use case? If not we could just remove the reference from the man page.
Comment 2 730097b5 2015-08-11 07:40:39 EDT
dnf-automatic seems to cove my use case. Thanks!
Comment 3 Radek Holy 2015-08-12 06:12:56 EDT
Great to here that. Anyway, I think we should fix the man pages.
Comment 4 Jan Kurik 2015-12-22 06:31:53 EST
This bug is currently assigned to an unsupported release. If you think this bug is still valid and should remain open, please re-assign it to a supported release (F22, F23) or to rawhide.

Bugs which will be assigned to an unsupported release are going to be closed as EOL (End Of Life) on January 26th, 2016.
Comment 5 Paul Stauffer 2016-01-08 06:47:05 EST
Reassigning to F23, as the man page is still wrong as of dnf-1.1.5-1.fc23.

Confused the heck out of me for a while this morning, and made me question my pre-coffee reading comprehension skills. :)
Comment 6 Fedora Admin XMLRPC Client 2016-07-08 05:37:37 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Jan Kurik 2016-07-26 00:20:49 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.
Comment 8 Honza Silhan 2016-07-27 05:21:37 EDT
We should rather implement this option.
Comment 9 Martin Hatina 2017-03-28 02:38:02 EDT
Fixed by https://github.com/rpm-software-management/dnf/pull/770
Comment 10 Fedora Update System 2017-04-10 04:02:06 EDT
dnf-2.3.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-80f2c2bb64
Comment 11 Fedora Update System 2017-04-10 20:25:53 EDT
dnf-2.3.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-80f2c2bb64
Comment 12 Fedora Update System 2017-04-12 10:53:14 EDT
dnf-2.3.0-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Jack Perdue 2017-06-25 11:15:17 EDT
What???? No love for fc25? Has 25 already been EOLed? 

This explains a lot about why my workstations haven't been getting updates on a nightly basis.  Script updated to remove -R. Removing -R (while leaving in old yum-copied man page) was a major fail.

Note You need to log in before you can comment on or make changes to this bug.